package cz.cvut.k36.pr2.hw.hw02;

/**
 * Helper Ink, that contains all colors. For this reason,
 * the {@link cz.cvut.k36.pr2.hw.hw02.Ink#getAmount(Color)} method is not supported.
 */
public enum AllColorInk implements Ink {

    INSTANCE {
        @Override
        public Color extractColor(Color color) {
            return color;
        }

        @Override
        public double getAmount(Color color) {
            throw new UnsupportedOperationException("getAmount is not supported for AllColorInk");
        }
    }

}
